| optoMDC

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | List of all members
optoMDC.registers.mre3_registers.Logger Class Reference
Inheritance diagram for optoMDC.registers.mre3_registers.Logger:

## Public Member Functions
| __init__ (self, board=None)
| GetLoggedRegister (self, log_number)
| SetLoggedRegister (self, log_number, value)
| RunLogger (self)
| StopLogger (self)
| GetLog (self, log_number, index, count)
| to_int (self, float_v)
| GetSamplingFrequency (self)
| SetSamplingFrequency (self, value)
| SetTriggerReg (self, value)
| GetTriggerReg (self)
| SetTriggerMode (self, value)
| GetTriggerMode (self)
| SetTriggerValue (self, value)
| GetTriggerValue (self)
| SetTriggerFormat (self, value)
| GetTriggerFormat (self)

## Public Attributes
| sys_id
| logged_register_0
| logged_register_1
| logged_register_2
| logged_register_3
| logged_register_4
| logged_register_5
| run
| sampling_frequency
| register_log_0
| register_log_1
| register_log_2
| register_log_3
| register_log_4
| register_log_5
| log_trigger_reg
| log_trigger_mode
| log_trigger_value
| log_trigger_format
| name

## Protected Member Functions
| _GetLogSegment (self, log_number, index, count)

## Protected Attributes
| _readonly

## Detailed Description

    Device Functionality - Logger
    System ID: 0x24

    A system for logging the values of various readable registers.

    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | Register Name             | Id   | Type        | Unit | Range | Default | Comment                                   |
    +===========================+======+=============+======+=======+=========+===========================================+
    | logged_register_0         | 0x00 | uint 32-bit |None  |       |         |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | logged_register_1         | 0x01 | uint 32-bit |None  |       |         |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | logged_register_2         | 0x02 | uint 32-bit |None  |       |         |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | logged_register_3         | 0x03 | uint 32-bit |None  |       |         |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | logged_register_4         | 0x04 | uint 32-bit |None  |       |         |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | logged_register_5         | 0x05 | uint 32-bit |None  |       |         |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | run                       | 0x06 | uint 32-bit |Bool  |       |         |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | sampling_frequency        | 0x07 | uint 32-bit |float |       | 10000   |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+

## Constructor & Destructor Documentation

## ◆ __init__()

optoMDC.registers.mre3_registers.Logger.__init__ | ( |  | self,
|  |  | board = None )

## Member Function Documentation

## ◆ _GetLogSegment()

optoMDC.registers.mre3_registers.Logger._GetLogSegment | ( |  | self,
|  |  | log_number,
|  |  | index,
|  |  | count )
| protected

## ◆ GetLog()

optoMDC.registers.mre3_registers.Logger.GetLog | ( |  | self,
|  |  | log_number,
|  |  | index,
|  |  | count )

## ◆ GetLoggedRegister()

optoMDC.registers.mre3_registers.Logger.GetLoggedRegister | ( |  | self,
|  |  | log_number )

## ◆ GetSamplingFrequency()

optoMDC.registers.mre3_registers.Logger.GetSamplingFrequency | ( |  | self | ) |

## ◆ GetTriggerFormat()

optoMDC.registers.mre3_registers.Logger.GetTriggerFormat | ( |  | self | ) |

## ◆ GetTriggerMode()

optoMDC.registers.mre3_registers.Logger.GetTriggerMode | ( |  | self | ) |

## ◆ GetTriggerReg()

optoMDC.registers.mre3_registers.Logger.GetTriggerReg | ( |  | self | ) |

## ◆ GetTriggerValue()

optoMDC.registers.mre3_registers.Logger.GetTriggerValue | ( |  | self | ) |

## ◆ RunLogger()

optoMDC.registers.mre3_registers.Logger.RunLogger | ( |  | self | ) |

## ◆ SetLoggedRegister()

optoMDC.registers.mre3_registers.Logger.SetLoggedRegister | ( |  | self,
|  |  | log_number,
|  |  | value )

## ◆ SetSamplingFrequency()

optoMDC.registers.mre3_registers.Logger.SetSamplingFrequency | ( |  | self,
|  |  | value )

## ◆ SetTriggerFormat()

optoMDC.registers.mre3_registers.Logger.SetTriggerFormat | ( |  | self,
|  |  | value )

## ◆ SetTriggerMode()

optoMDC.registers.mre3_registers.Logger.SetTriggerMode | ( |  | self,
|  |  | value )

## ◆ SetTriggerReg()

optoMDC.registers.mre3_registers.Logger.SetTriggerReg | ( |  | self,
|  |  | value )

## ◆ SetTriggerValue()

optoMDC.registers.mre3_registers.Logger.SetTriggerValue | ( |  | self,
|  |  | value )

## ◆ StopLogger()

optoMDC.registers.mre3_registers.Logger.StopLogger | ( |  | self | ) |

## ◆ to_int()

optoMDC.registers.mre3_registers.Logger.to_int | ( |  | self,
|  |  | float_v )

## Member Data Documentation

## ◆ _readonly

optoMDC.registers.mre3_registers.Logger._readonly
| protected

## ◆ log_trigger_format

optoMDC.registers.mre3_registers.Logger.log_trigger_format

## ◆ log_trigger_mode

optoMDC.registers.mre3_registers.Logger.log_trigger_mode

## ◆ log_trigger_reg

optoMDC.registers.mre3_registers.Logger.log_trigger_reg

## ◆ log_trigger_value

optoMDC.registers.mre3_registers.Logger.log_trigger_value

## ◆ logged_register_0

optoMDC.registers.mre3_registers.Logger.logged_register_0

## ◆ logged_register_1

optoMDC.registers.mre3_registers.Logger.logged_register_1

## ◆ logged_register_2

optoMDC.registers.mre3_registers.Logger.logged_register_2

## ◆ logged_register_3

optoMDC.registers.mre3_registers.Logger.logged_register_3

## ◆ logged_register_4

optoMDC.registers.mre3_registers.Logger.logged_register_4

## ◆ logged_register_5

optoMDC.registers.mre3_registers.Logger.logged_register_5

## ◆ name

optoMDC.registers.mre3_registers.Logger.name

## ◆ register_log_0

optoMDC.registers.mre3_registers.Logger.register_log_0

## ◆ register_log_1

optoMDC.registers.mre3_registers.Logger.register_log_1

## ◆ register_log_2

optoMDC.registers.mre3_registers.Logger.register_log_2

## ◆ register_log_3

optoMDC.registers.mre3_registers.Logger.register_log_3

## ◆ register_log_4

optoMDC.registers.mre3_registers.Logger.register_log_4

## ◆ register_log_5

optoMDC.registers.mre3_registers.Logger.register_log_5

## ◆ run

optoMDC.registers.mre3_registers.Logger.run

## ◆ sampling_frequency

optoMDC.registers.mre3_registers.Logger.sampling_frequency

## ◆ sys_id

optoMDC.registers.mre3_registers.Logger.sys_id

The documentation for this class was generated from the following file:

- C:/git/138-882-00_optoMDC/src/main/python/optoMDC/registers/mre3_registers.py